package com.pcloud.book.personalstage.vo.request;

import com.pcloud.book.personalstage.entity.PersonalStageJump;
import com.pcloud.common.utils.BeanUtils;
import lombok.Data;

import java.util.Date;

@Data
public class CreateStageJumpRequestVO extends BaseStageJumpRequestVO {

    public static PersonalStageJump valueToJumpEntity(CreateStageJumpRequestVO vo){
        PersonalStageJump personalStageJump = new PersonalStageJump();
        BeanUtils.copyProperties(vo, personalStageJump);
        personalStageJump.setCreateTime(new Date());
        return personalStageJump;
    }
}
